Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 18181
Description

Hi,

In the toolbox when using the tool "Extract by location” (QGIS Geoalgorithms > Vector selection tools) | have no result and got the
following Error message

'QgsVectorLayer' object has no attribute 'field’

With the log
Traceback (most recent call last):| Traceback (most recent call last):|
File "C:\\Users\\PC/.qgis2/python/plugins\\processing\\core\\GeoAlgorithm.py", line 202, in execute|
self.processAlgorithm(progress)|
File "C:\\Users\\PC/.qgis2/python/plugins\\processing\\algs\\ftools\\ExtractByLocation.py", line 77, in processAlgorithm|

writer = output.getVectorWriter(layer.fields(),|

AttributeError: '‘QgsVectorLayer' object has no attribute fields'|

Project and layers have same CRS,

and the spatial selection works with the ftools "Select by location" or plugin "spatial query'

| don't know how to solve it, and use it in a model.
Thanks

(QGIS via osgeo4w version 2.0.1, W7)

Associated revisions

Revision 40942fa7 - 2014-03-24 07:18 PM - Alexander Bruy

[processing] fix old API calls in Extract by location tool (fix #9603)

History

#1 - 2014-02-19 11:13 AM - Giovanni Manghi
- Affected QGIS version changed from 2.0.1 to master
- Operating System deleted (Windows?)
- Target version changed from Version 2.0.0 to Version 2.2

Confirmed on the latest version of processing and Linux.

#2 - 2014-03-24 11:18 AM - Alexander Bruy
- Status changed from Open to Closed

Fixed in changeset commit:"40942fa7d594c12b9b2f5d302ae871676fc4eb66".

#3 - 2015-06-07 04:30 AM - Giovanni Manghi
- Category changed from 94 to Processing/Core
